var tabla;

//funcion que se ejecuta al inicio
function init(){
	mostrarform(false);
	listar();

	$("#btnGuardar").on("click",function(e){
		/* Evitamos el envío real del formulario */
		e.preventDefault(); 
		
		validar();
		var val = $("#validado").val();
		console.log(val);
		if (val==1){  
			bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
				if (result) {
					guardaryeditar(e);	
				}
			})
		}
	});

	$.post("controladores/zonaControlador.php?op=selectZona", function(r){
		$("#idzona").html(r);
		$('#idzona').selectpicker('refresh');
	});

  $.post("controladores/relacionzonaysubzonaControlador.php?op=selectSubzona", function(r){
		console.log(r);
    $("#idsubzona").html(r);

		$('#idsubzona').selectpicker('refresh');
	});

	

}

//funcion limpiar
function limpiar(){
	$('#formulario').data('bootstrapValidator').resetForm(true);
  $("#idrelacionzonaysubzona").val('');
	$("#idsubzona").val(0);
  $('#idsubzona').selectpicker('refresh');
	$("#idzona").val(0);
	$('#idzona').selectpicker('refresh');
}

//funcion mostrar formulario 
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
	}else{
		$("#listadoregistros").show();
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
		$("#btnagregar").show();
	}
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/relacionzonaysubzonaControlador.php?op=listar',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}
//funcion para guardaryeditar
function guardaryeditar(e){
     e.preventDefault();//no se activara la accion predeterminada 
     $("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);

     $.ajax({
     	url: "controladores/relacionzonaysubzonaControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
     		tabla.ajax.reload();
     	}
     });

     limpiar();
}

function mostrar(idrelacionzonaysubzona){
	$.post("controladores/relacionzonaysubzonaControlador.php?op=mostrar",{idrelacionzonaysubzona : idrelacionzonaysubzona},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);
      $("#idrelacionzonaysubzona").val(data.idrelacionzonaysubzona);
      console.log('$("#idrelacionzonaysubzona").val(data.idrelacionzonaysubzona): '+$("#idrelacionzonaysubzona").val())
			$("#idsubzona").val(data.idsubzona);
      $('#idsubzona').selectpicker('refresh');
			$("#idzona").val(data.idzona);
			$('#idzona').selectpicker('refresh');
		})
}


//funcion para desactivar
function eliminar(idrelacionzonaysubzona){
	bootbox.confirm("¿Esta seguro de eliminar este dato?", function(result){
		if (result) {

			$.post("controladores/relacionzonaysubzonaControlador.php?op=eliminar", {idrelacionzonaysubzona : idrelacionzonaysubzona }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

//funcion para desactivar
function desactivar(idrelacionzonaysubzona){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("controladores/relacionzonaysubzonaControlador.php?op=desactivar", {idrelacionzonaysubzona : idrelacionzonaysubzona }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

function activar(idrelacionzonaysubzona){
	bootbox.confirm("¿Esta seguro de activar este dato?" , function(result){
		if (result) {
			$.post("controladores/relacionzonaysubzonaControlador.php?op=activar" , {idrelacionzonaysubzona : idrelacionzonaysubzona }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}


init();